Jump to content

Recommended Posts

Posted (edited)

So I have been trying to install PS 1.7.7.3 for a week now and today I have attempted 1.7.7.4 I keep getting a Ps_Account class not found exception. Now if I try to install using 'Private' mode, then the installer works; however, the site doesn't work and the admin folder is inaccessible.

Here is the error: [Mon May 03 10:29:10.410202 2021] [php7:error] [pid 201094] [client 69.92.226.250:55614] PHP Fatal error:  Uncaught Symfony\\Component\\Debug\\Exception\\ClassNotFoundException: Attempted to load class "Ps_accounts" from the global namespace.\nDid you forget a "use" statement? in /var/www/html/presta/modules/ps_metrics/vendor/prestashop/prestashop-accounts-auth/src/Handler/ErrorHandler/ErrorHandler.php:63\nStack trace:\n#0 /var/www/html/presta/modules/ps_metrics/vendor/prestashop/prestashop-accounts-auth/src/Handler/ErrorHandler/ErrorHandler.php(106): PrestaShop\\AccountsAuth\\Handler\\ErrorHandler\\ErrorHandler->__construct()\n#1 /var/www/html/presta/modules/ps_metrics/vendor/prestashop/prestashop-accounts-auth/src/Installer/Install.php(59): PrestaShop\\AccountsAuth\\Handler\\ErrorHandler\\ErrorHandler::getInstance()\n#2 /var/www/html/presta/modules/ps_metrics/ps_metrics.php(112): PrestaShop\\AccountsAuth\\Installer\\Install->installPsAccounts()\n#3 /var/www/html/presta/src/Adapter/Module/Module.php(249): Ps_metrics->install()\n#4 /var/www/html/presta/src/Core/Addon/Module/ModuleManager.php(302): PrestaShop\\PrestaShop\\Adapter\\Module\\M in /var/www/html/presta/modules/ps_metrics/vendor/prestashop/prestashop-accounts-auth/src/Handler/ErrorHandler/ErrorHandler.php on line 63, referer: https://prestacart.courtneyscandles.com/install/index.php?restart=true

Edited by adamwall (see edit history)

Share this post


Link to post
Share on other sites
Posted (edited)

So I would like to provide an update to my situation;

I created a test machine and gave it everything my hosted machine has, and I got that store to work. So my hosted machine is a KVM on NameCheap. I have direct access to it and it has Ubuntu 20.04 64-bit installed to it. (Which is what I installed to the test machine.) 

I have given every file and folder 777 for install.

I have not changed any port settings or added ssl yet, but have added this to the 000-default.conf file;
    <Directory /var/www/html>
        AllowOverride All
        Options +Indexes
        Require all granted
    </Directory>

I have included the php.ini file.

Also including the apache log file.

php.ini error8080.log

Edited by adamwall (see edit history)

Share this post


Link to post
Share on other sites

 

On 5/4/2021 at 10:26 AM, musicmaster said:

It is just a module. And as it is a new one it may be a source of trouble for some.

I was meaning, how do I disable the module from being installed? I know how to enable and disable modules after the installation, but this is stopping the installation from finishing.

Share this post


Link to post
Share on other sites
22 hours ago, adamwall said:

 

I was meaning, how do I disable the module from being installed? I know how to enable and disable modules after the installation, but this is stopping the installation from finishing.

You go to modules and services and have all listed there.

Share this post


Link to post
Share on other sites

 

2 hours ago, Nickz said:

You go to modules and services and have all listed there.

This is an error during a fresh installation, the admin panel is not available.

Share this post


Link to post
Share on other sites
19 minutes ago, adamwall said:

This is an error during a fresh installation, the admin panel is not available.

default PHP Version of the apatche server is?

Is the php.ini correct? Max_memory should be 256 if I'm not mistaken. Look at the requierements.

Share this post


Link to post
Share on other sites
On 5/5/2021 at 5:41 PM, adamwall said:

 

I was meaning, how do I disable the module from being installed? I know how to enable and disable modules after the installation, but this is stopping the installation from finishing.

I agree. This is a bit puzzling.

Since PS 1.7.7.3 Prestashop standard installs the modules ps_metrics and ps_accounts. It looks like they are dynamically loaded from the Prestashop site.

Your best option might be to get a slightly older version (1.7.7.2 or 1.7.7.3) from https://www.prestashop.com/en/versions

Share this post


Link to post
Share on other sites

Alright, so I was able to get the install to finish, the analytics module that was failing to install is still not installing, but I was able to get past the install after changing the owner of all the files and directories from root to www-data.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More